ENETC(4)

NAME
enetc - Freescale ENETC PCIe Gigabit Ethernet driver

SYNOPSIS
To compile this driver into the kernel the following lines must be present in the kernel configuration file:

options SOC_NXP_LS
device pci
device fdt
device iflib
device enetc

DESCRIPTION
The enetc driver provides support for ENETC Gigabit Ethernet NIC found in LS1028A SoC. iflib(9) is used to communicate with the rest of kernel. Both physical ports, as well as virtual interfaces connected to the internal switch are supported.

The following hardware offloads have been implemented in this version of the driver:

    - Receive IP checksum validation.
    - VLAN tag insertion and extraction.
    - VLAN tag based packet filtering.

For more information about configuring this device refer to ifconfig(8).

SEE ALSO
vlan(4), ifconfig(8), iflib(9)

HISTORY
The enetc driver first appeared in FreeBSD 14.0.